<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/CattleProd.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d0/d06/_cattle_prod_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">CattleProd.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d0/d06/_cattle_prod_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/da3/class_cattle_prod.html">CattleProd</a> : <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#ab19ed768649ef536bd2a5147e0aaa6f6">    3</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#ab19ed768649ef536bd2a5147e0aaa6f6">m_MeleeMode</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a40ce76d5ad1d774c611111ca04b50fbc">    4</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a40ce76d5ad1d774c611111ca04b50fbc">m_MeleeHeavyMode</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a840e398deb9f8b5e795cd577a65b9712">    5</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a840e398deb9f8b5e795cd577a65b9712">m_MeleeSprintMode</a>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a07ce482f83586d3503f4b8f0924d1522">    7</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/da3/class_cattle_prod.html#a07ce482f83586d3503f4b8f0924d1522">CattleProd</a>()</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    {</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#ab19ed768649ef536bd2a5147e0aaa6f6">m_MeleeMode</a> = 0;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a40ce76d5ad1d774c611111ca04b50fbc">m_MeleeHeavyMode</a> = 1;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a840e398deb9f8b5e795cd577a65b9712">m_MeleeSprintMode</a> = 2;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    }</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span> </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a4c96607a88e40fad04ffdb38f63446e8">   14</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/da3/class_cattle_prod.html#a4c96607a88e40fad04ffdb38f63446e8">OnWorkStart</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#ab19ed768649ef536bd2a5147e0aaa6f6">m_MeleeMode</a> = 3;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a40ce76d5ad1d774c611111ca04b50fbc">m_MeleeHeavyMode</a> = 4;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a840e398deb9f8b5e795cd577a65b9712">m_MeleeSprintMode</a> = 5;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    }</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    </div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a075c4fd86f40b724fb05c5beb3a8040b">   22</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/da3/class_cattle_prod.html#a075c4fd86f40b724fb05c5beb3a8040b">OnWorkStop</a>()</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#ab19ed768649ef536bd2a5147e0aaa6f6">m_MeleeMode</a> = 0;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a40ce76d5ad1d774c611111ca04b50fbc">m_MeleeHeavyMode</a> = 1;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a840e398deb9f8b5e795cd577a65b9712">m_MeleeSprintMode</a> = 2;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#ac6b23c040d39240fdefc398e7096d718">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/da3/class_cattle_prod.html#ac6b23c040d39240fdefc398e7096d718">GetMeleeMode</a>()</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#ab19ed768649ef536bd2a5147e0aaa6f6">m_MeleeMode</a>;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    }</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span> </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a780c668c2605ed95f6df974b5d0e3c4d">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/da3/class_cattle_prod.html#a780c668c2605ed95f6df974b5d0e3c4d">GetMeleeHeavyMode</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a40ce76d5ad1d774c611111ca04b50fbc">m_MeleeHeavyMode</a>;</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a531330fecc738adea5f2fa407ede5276">   40</a></span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../d0/da3/class_cattle_prod.html#a531330fecc738adea5f2fa407ede5276">GetMeleeSprintMode</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/da3/class_cattle_prod.html#a840e398deb9f8b5e795cd577a65b9712">m_MeleeSprintMode</a>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d0/da3/class_cattle_prod.html#a92a35bd2a63183627a9497d8696c68e2">   45</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/da3/class_cattle_prod.html#a92a35bd2a63183627a9497d8696c68e2">SetActions</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        super.SetActions();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d8/d4f/class_action_turn_on_while_in_hands.html">ActionTurnOnWhileInHands</a>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../dd/d41/class_action_turn_off_while_in_hands.html">ActionTurnOffWhileInHands</a>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    }</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>}</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00219">AdvancedCommunication.c:219</a></div></div>
<div class="ttc" id="aclass_action_turn_off_while_in_hands_html"><div class="ttname"><a href="../../dd/d41/class_action_turn_off_while_in_hands.html">ActionTurnOffWhileInHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/df7/_action_turn_off_while_in_hands_8c_source.html#l00001">ActionTurnOffWhileInHands.c:2</a></div></div>
<div class="ttc" id="aclass_action_turn_on_while_in_hands_html"><div class="ttname"><a href="../../d8/d4f/class_action_turn_on_while_in_hands.html">ActionTurnOnWhileInHands</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d9f/_action_turn_on_while_in_hands_8c_source.html#l00001">ActionTurnOnWhileInHands.c:2</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html">CattleProd</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00001">CattleProd.c:2</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a075c4fd86f40b724fb05c5beb3a8040b"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a075c4fd86f40b724fb05c5beb3a8040b">CattleProd::OnWorkStop</a></div><div class="ttdeci">override void OnWorkStop()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00022">CattleProd.c:22</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a07ce482f83586d3503f4b8f0924d1522"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a07ce482f83586d3503f4b8f0924d1522">CattleProd::CattleProd</a></div><div class="ttdeci">void CattleProd()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00007">CattleProd.c:7</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a40ce76d5ad1d774c611111ca04b50fbc"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a40ce76d5ad1d774c611111ca04b50fbc">CattleProd::m_MeleeHeavyMode</a></div><div class="ttdeci">protected int m_MeleeHeavyMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00004">CattleProd.c:4</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a4c96607a88e40fad04ffdb38f63446e8"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a4c96607a88e40fad04ffdb38f63446e8">CattleProd::OnWorkStart</a></div><div class="ttdeci">override void OnWorkStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00014">CattleProd.c:14</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a531330fecc738adea5f2fa407ede5276"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a531330fecc738adea5f2fa407ede5276">CattleProd::GetMeleeSprintMode</a></div><div class="ttdeci">override int GetMeleeSprintMode()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00040">CattleProd.c:40</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a780c668c2605ed95f6df974b5d0e3c4d"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a780c668c2605ed95f6df974b5d0e3c4d">CattleProd::GetMeleeHeavyMode</a></div><div class="ttdeci">override int GetMeleeHeavyMode()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00035">CattleProd.c:35</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a840e398deb9f8b5e795cd577a65b9712"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a840e398deb9f8b5e795cd577a65b9712">CattleProd::m_MeleeSprintMode</a></div><div class="ttdeci">protected int m_MeleeSprintMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00005">CattleProd.c:5</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_a92a35bd2a63183627a9497d8696c68e2"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#a92a35bd2a63183627a9497d8696c68e2">CattleProd::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00045">CattleProd.c:45</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_ab19ed768649ef536bd2a5147e0aaa6f6"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#ab19ed768649ef536bd2a5147e0aaa6f6">CattleProd::m_MeleeMode</a></div><div class="ttdeci">protected int m_MeleeMode</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00003">CattleProd.c:3</a></div></div>
<div class="ttc" id="aclass_cattle_prod_html_ac6b23c040d39240fdefc398e7096d718"><div class="ttname"><a href="../../d0/da3/class_cattle_prod.html#ac6b23c040d39240fdefc398e7096d718">CattleProd::GetMeleeMode</a></div><div class="ttdeci">override int GetMeleeMode()</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d06/_cattle_prod_8c_source.html#l00030">CattleProd.c:30</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00516">InventoryItem.c:517</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../d0/d06/_cattle_prod_8c.html">CattleProd.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
